<?php

namespace Drupal\dmb\Plugin\Block;

use Drupal\Core\Block\BlockBase;

/**
 * Provides a 'Dark Mode Toggle' Block.
 *
 * @Block(
 *   id = "dmb_block",
 *   admin_label = @Translation("Dark Mode Toggle"),
 * )
 */
class DmbBlock extends BlockBase {

  /**
   * {@inheritdoc}
   */
  public function build() {
    return [
      '#theme' => 'dmb_dark_mode_toggle',
      '#attached' => [
        'library' => [
          'dmb/dark_mode',
        ],
      ],
    ];
  }

}
